Subject: Re: Pine and Solaris

From: Barry Cornelius <[email-masked]>
Date: Wed, 17 Mar 1993 18:47:01 +0000 (GMT)

It is possible to run SunOS 4.1.x binaries with SunOS 5.1 (which is part
of Solaris 2.1) if you use the Binary Compatibility Package.  I have tried
this with a SunOS 4.1.x binary of pine.  Most aspects of pine will work.
For example, this message was sent from a 4.1.2 binary running on a
machine with SunOS 5.1. 

However, I found a problem with file locking.  This problem occurs in two
places:  
    (1) if you use NFS to mount /var/spool/mail rather than use
        IMAP, then pine hangs on starting it up. For example, you can't
        get the mail index, and there is a lock on your mailbox;
    (2) if you use the g command to goto a folder, then pine hangs:
        there is a lock on the file containing the folder.

I pass these comments on, just for information.  In due course, I will do
it properly, i.e., do a port of pine for SunOS 5.1.  Of course, someone
might beat me to it, please!

--
Barry Cornelius            Electronic mail: [email-masked]
Post:  Computing Service, University of Durham, Durham, DH1 3LE, England
Phone: Durham (091 or +44 91) 374 4717, Secretary:374 2892, Fax:374 3741